#
# spec file for package perl-DBD-Pg (Version 2.10.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-DBD-Pg
BuildRequires:  perl-DBI postgresql-devel
Url:            http://www.perl.com/CPAN/modules/by-module/DBD
Summary:        DBD::Pg - DBI driver for PostgreSQL
Version:        2.10.3
Release:        5.4
License:        GPL v2 or later
Group:          Development/Libraries/Perl
Source0:        DBD-Pg-%{version}.tar.bz2
Patch0:         perl-DBD-Pg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-DBI
Requires:       perl = %{perl_version}
AutoReqProv:    on

%description
This driver is needed to access PostgreSQL databases from Perl programs
through the Perl Database Interface (DBI).



Authors:
--------
    Edmund Mergl
    Jeffrey W. Baker
    Tim Bunce

%prep
%setup -q -n DBD-Pg-%version
%patch0

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=%_libdir
perl Makefile.PL
make

%install
make DESTDIR=%buildroot install_vendor
%perl_process_packlist

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root,-)
%doc README Changes
%doc %_mandir/man?/*
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/Bundle/DBD
%{perl_vendorarch}/DBD
/var/adm/perl-modules/%{name}

%changelog
* Thu Sep 11 2008 max@suse.de
- New version: 2.10.3:
  * Add the 'DBD' trace setting to output only non-DBI trace
    messages, and allow 'dbd_verbose' as a connection attribute
    for the same effect.
  * Allow multi-statement do() calls with parameters to work if
    pg_server_prepare is set to 0
  * Add support for database handle attribute "ReadOnly".
  * Added in payload strings for LISTEN/NOTIFY in 8.4.
  * Plus more bug fixes and improvements to the test suite and
    documentation.
* Tue Apr 22 2008 max@suse.de
- Fixed file list.
* Thu Apr 17 2008 max@suse.de
- New version: 2.6.0. Changes include:
  * Various performance improvements.
  * Add Bundle::DBD::Pg
  * Fix memory leaks in dbdimp.c
  * Fix strlen problems in dbdimp.c
  * Overhaul COPY functions
  * Add support for arrays
  * Add support for asynchronous queries
- See /usr/share/doc/packages/perl-DBD-Pg/Changes for details.
* Fri May 19 2006 max@suse.de
- New version: 1.49:
  * Added support for geometric types.
  * Various bugfixes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 max@suse.de
- New version: 1.42 (bug #128183).
* Sat Feb 28 2004 ro@suse.de
- fix requirement for /usr/local
- fix "control reaches end of non-void function"
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 max@suse.de
- new version: 1.22
- Fix build for perl-5.8.1.
* Mon Jun 30 2003 ro@suse.de
- remove traces of buildroot from installed files
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Wed Feb  5 2003 ro@suse.de
- updated neededforbuild
* Wed Jul  3 2002 max@suse.de
- New package perl-DBD-Pg version 1.13.
- A database driver for perl-DBI and PostgreSQL.
